﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MVCFileUpload.Models.RegisterModel>" %>

<hgroup class="title">
    <h1>Register.</h1>
    <h2>Use the form below to create a new account.</h2>
</hgroup>

<p class="message-info">
    Passwords are required to be a minimum of <%: Membership.MinRequiredPasswordLength %> characters in length.
</p>

<script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
<script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>

<%: Html.ValidationSummary(true, "Account creation was unsuccessful. Please correct the errors and try again." ) %>

<% using (Html.BeginForm((string)ViewBag.FormAction, "Account", FormMethod.Post, new { enctype = "multipart/form-data" }))
   { %>
    <fieldset>
        <legend>Registration Form</legend>
        <ol>
            <li>
                <%: Html.LabelFor(m => m.UserName) %>
                <%: Html.TextBoxFor(m => m.UserName) %>
                <%: Html.ValidationMessageFor(m => m.UserName) %>
            </li>
            <li>
                <%: Html.LabelFor(m => m.Email) %>
                <%: Html.TextBoxFor(m => m.Email) %>
                <%: Html.ValidationMessageFor(m => m.Email) %>
            </li>
            <li>
                <%: Html.LabelFor(m => m.Password) %>
                <%: Html.PasswordFor(m => m.Password) %>
                <%: Html.ValidationMessageFor(m => m.Password) %>
            </li>
            <li>
                <%: Html.LabelFor(m => m.ConfirmPassword) %>
                <%: Html.PasswordFor(m => m.ConfirmPassword) %>
                <%: Html.ValidationMessageFor(m => m.ConfirmPassword) %>
            </li>
            <li>   <b> Please select File : </b>
                    <input type="file" id="FileUpload1"   name="FileUpload1" /><br />
            </li>
        </ol>
        <input type="submit" value="Register" title="Register" />
    </fieldset>
<% } %>